# Enabling & Disabling Popups

You can use the JS API to conditionally enable or disable a popup.

## Enabling a Popup

The following snippet enables the specified popup.

```javascript
nostojs(api => {
  api.enablePopup("popupCampaignId");
});
```

### Parameters

| Field | Type   | Required | Default | Reason                               |
| ----- | ------ | -------- | ------- | ------------------------------------ |
| id    | String | ✔        |         | The identifier of the popup campaign |

## Disabling a Popup

The following snippet disables the specified popup.

```javascript
nostojs(api => {
  api.disablePopup("popupCampaignId");
});
```

### Parameters

| Field | Type   | Required | Default | Reason                               |
| ----- | ------ | -------- | ------- | ------------------------------------ |
| id    | String | ✔        |         | The identifier of the popup campaign |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/techdocs/apis/frontend/js-apis/popups/enabling-and-disabling-popups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
